Interface Operation

All Superinterfaces:
OpenAPIObject

public interface Operation extends OpenAPIObject
This interface represents the most important attributes of an OpenAPI Operation.
Operation V3.1
Operation V3.0
  • Method Details

    • getOperationId

      String getOperationId()
      Returns:
      operationId of this operation
    • getHttpMethod

      HttpMethod getHttpMethod()
      Returns:
      http method of this operation
    • getOpenAPIPath

      String getOpenAPIPath()
      Returns:
      path in OpenAPI style
    • getAbsoluteOpenAPIPath

      String getAbsoluteOpenAPIPath()
      Returns:
      absolute path in OpenAPI style
    • getTags

      List<String> getTags()
      Returns:
      tags of this operation
    • getParameters

      List<Parameter> getParameters()
      Returns:
      parameters of this operation
    • getRequestBody

      RequestBody getRequestBody()
      Returns:
      request body of the operation, or null if no request body is defined
    • getDefaultResponse

      Response getDefaultResponse()
      Returns:
      the default response, or null if no default response is defined.
    • getResponse

      Response getResponse(int responseCode)
      Returns the response to the passed response code or null.
      Parameters:
      responseCode - The related response code
      Returns:
      The related response, or null.
    • getSecurityRequirements

      List<SecurityRequirement> getSecurityRequirements()
      Returns the applicable list of security requirements (scopes) or empty list.
      Returns:
      The related security requirement.